using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Repository.MySql;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IDicMapDeptServRepository : IBaseRepositoryToASHermed_SinoInterface<Dic_Map_Dept_Serv>
    {
        int InsertDicMapDeptServ(Dic_Map_Dept_Serv mapDeptServ);
        Dic_Map_Dept_Serv FindByHosDeptWithHisCode(int aptHosId, string hisDeptCode, string hisServCode);
        Dic_Map_Dept_Serv FindByHisServCode(string hisServCode);
        Dic_Map_Dept_Serv SelectByPrimaryKey(int aptProj);
        Dic_Map_Dept_Serv SelectByHisKey(int aptProj);
    }
}
